<ng-template #submenuTemplate>
  <div
    *ngIf="submenus.length > 0"
    class="sub-menu"
    [class.unactive]="menuHomeActive"
  >
    <div class="page-container smaller-container">
      <ul [ngStyle]="{ 'margin-left.px': subMenuOffset }">
        <li
          *ngFor="let item of submenus; let i = index"
          [class.active]="
            activeSubmenu != null ? activeSubmenu === item.url : i === 0
          "
          (click)="scrollToSection(item.url)"
        >
          {{ item.sectionName | localizedText }}
        </li>
      </ul>
    </div>
  </div>
</ng-template>
<div class="sticky-header" prSticky [prStickyOffsetTop]="offsetTop">
  <div class="page-container smaller-container">
    <img
      src="assets/images/logo.svg"
      alt="Logo Pragozor"
      class="logo"
      (click)="navigateByKey('')"
      #logo
    />
    <div class="navigation" #navigation>
      <ul class="main-navigation">
        <li [class.active]="activeMenu.indexOf('health') > -1" #navigationItem>
          <a
            (click)="navigateByKey('health')"
            (click)="menuHomeActive = !menuHomeActive"
            >Zdraví</a
          >
          <ng-container *ngIf="activeMenu.indexOf('health') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li [class.active]="activeMenu.indexOf('housing') > -1" #navigationItem>
          <a
            (click)="navigateByKey('housing')"
            (click)="menuHomeActive = !menuHomeActive"
            >Bydlení</a
          >
          <ng-container
            *ngIf="activeMenu.indexOf('housing') > -1"
            #navigationItem
          >
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('natural-environment') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('natural-environment')"
            (click)="menuHomeActive = !menuHomeActive"
            >Životní prostředí</a
          >
          <ng-container *ngIf="activeMenu.indexOf('natural-environment') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('transport') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('transport')"
            (click)="menuHomeActive = !menuHomeActive"
            >MHD</a
          >
          <ng-container *ngIf="activeMenu.indexOf('transport') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li [class.active]="activeMenu.indexOf('cars') > -1" #navigationItem>
          <a
            (click)="navigateByKey('cars')"
            (click)="menuHomeActive = !menuHomeActive"
            >Auta</a
          >
          <ng-container *ngIf="activeMenu.indexOf('cars') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('security') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('security')"
            (click)="menuHomeActive = !menuHomeActive"
            >Bezpečnost</a
          >
          <ng-container *ngIf="activeMenu.indexOf('security') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            (click)="menuHomeActive = !menuHomeActive"
            [class.active]="menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('mobility') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('mobility')"
            (click)="menuHomeActive = !menuHomeActive"
            >Mobilita</a
          >
          <ng-container *ngIf="activeMenu.indexOf('mobility') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            (click)="menuHomeActive = !menuHomeActive"
            [class.active]="menuHomeActive"
          />
        </li>
        <li [class.active]="activeMenu.indexOf('tourism') > -1" #navigationItem>
          <a
            (click)="navigateByKey('tourism')"
            (click)="menuHomeActive = !menuHomeActive"
            >Turismus</a
          >
          <ng-container *ngIf="activeMenu.indexOf('tourism') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('citymanagement') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('citymanagement')"
            (click)="menuHomeActive = !menuHomeActive"
            >Řízení města</a
          >
          <ng-container *ngIf="activeMenu.indexOf('citymanagement') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('curiosity') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('curiosity')"
            (click)="menuHomeActive = !menuHomeActive"
            >Ukrajina</a
          >
          <ng-container *ngIf="activeMenu.indexOf('curiosity') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li [class.active]="activeMenu.indexOf('economy') > -1" #navigationItem>
          <a
            (click)="navigateByKey('economy')"
            (click)="menuHomeActive = !menuHomeActive"
            >Ekonomika</a
          >
          <ng-container *ngIf="activeMenu.indexOf('economy') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
        <li
          [class.active]="activeMenu.indexOf('education') > -1"
          #navigationItem
        >
          <a
            (click)="navigateByKey('education')"
            (click)="menuHomeActive = !menuHomeActive"
            >Vzdělávání</a
          >
          <ng-container *ngIf="activeMenu.indexOf('education') > -1">
            <ng-container *ngTemplateOutlet="submenuTemplate"></ng-container>
          </ng-container>
          <img
            src="assets/images/arrow-down.svg"
            class="arrow"
            [class.active]="menuHomeActive"
            (click)="menuHomeActive = !menuHomeActive"
          />
        </li>
      </ul>
    </div>
  </div>
</div>

<pr-home-menu
  [class.active]="menuHomeActive"
  prSticky
  [prStickyOffsetTop]="offsetTop"
></pr-home-menu>
